STORJ(1)

NAME
STORJ - Command Line Tool for encrypted file transfer on the Storj network

SYNOPSIS
storj [<options>] <command> [<args>]

DESCRIPTION
 CLI Tool for file transfer on the Storj network, it provides an interface for
 setting up users profiles, work with buckets and files, download and
 upload files and get information from the Storj API

OPTIONS

-h, --help
    show help message and exit

-V, --version
    show program's version number

-u --url URL
     set the base url for the api

-p --proxy URL
    set the socks proxy (e.g. <[protocol://][user:password@]proxyhost[:port]>)

-l --log LEVEL
     set the log level (default 0)

-d --debug
    set the debug log level

COMMANDS

register
    setup a new storj bridge user.

import-keys
    import existing user.

export-keys
    export bridge user, password and encryption keys.

list-buckets
    lists all buckets from the current user.

list-files <bucket-id>
    lists all files from the specified bucket.

remove-file <bucket-id> <file-id>
    removes specified file from specified bucket.

remove-bucket <bucket-id>
    removes specified bucket.

list-mirrors <bucket-id> <file-id>
    lists all mirrors where the specified bucket and file is stored.

upload-file <bucket-id> <file-path>
    uploads specified file to the specified bucket in the network.

download-file <bucket-id> <file-id> <path>
    downloads specified file and stores localy in the specified path.

ENVIRONMENT

STORJ_KEYPASS
    imported user settings passphrase

STORJ_BRIDGE
    the bridge host

STORJ_BRIDGE_USER
    bridge username

STORJ_BRIDGE_PASS
    bridge password

STORJ_BRIDGE_PASS
    bridge password

STORJ_ENCRYPTION_KEY
    file encryption key

AUTHOR
 StorJ Labs, Inc. (2017)

This manual page was written by Josue Ortega <josue@debian.org>, for the Debian project (and may be used by others).

BUGS
Report bugs to https://github.com/Storj/libstorj/issues